Subject: COLLECTION (3) Salmon Steaks
From: [email-masked] (Joel Ehrlich)
Date: Sat, 1 Nov 1997 00:55:32 +0100
Newsgroups: rec.food.recipes

From: "Michelle . Pate" <[email-masked]>
Subject: Salmon Steaks

How do you go about preparing salmon steaks?

Here are three very attractive presentations with which you can
experiment.

 Barbecue Salmon Steaks w/Green Ginger Sauce    No. 3001Yields 4 Servings

     2 Tbls      Light Soy Sauce            1           Hard Cooked Egg
     4           Salmon Steaks            1/2 Cup       Chives, Chopped Rough
   1/2 tsp       Sugar                      2 Tbls      Onion, Chopped
                 GREEN GINGER SAUCE:        1 Tbls      Lime Juice
   1/2 Cup       Parsley                      -         Black Pepper, Ground
     2 Tbls      Capers
   1/2 Cup       Olive Oil

Prepare the Green Ginger Sauce first: Place the parsley, chives, capes and
onion in the bowl of a food processor or blender.
Process only until finely chopped.
Add the olive oil, lime juice and egg.
Puree until smooth,
Add ground black pepper to taste.
Set aside.
Prepare the salmon steaks next: Combine the soy sauce and sugar.
Brush each salmon steak with the soy sauce mixture.
Barbecue (grill) on a solid plate (griddle), turning occasionally until the
salmon is cooked.
Serve hot with the Green Ginger Sauce.

 Grilled Salmon Steaks w/Herb Butter    No. 2808        Yields 4 Servings

                 HERB BUTTER:                 -         Coarse Salt
     3 Oz        Sweet Butter, at room        -         Pepper, Ground
                 Temperature                            SALMON STEAKS:
     2 Tbls      Basil Leaves, Snipped      3 Tbls      Sweet Butter
     1 Tbls      Tarragon Leaves,           4           Salmon Steaks, 1/4"
                 Minced                                 Thick
     1 Tbls      Chives, Minced             1 Tbls      Peanut Oil
     1 Tbls      Lemon Juice

Prepare the herb butter first.
Cream the butter in a large bowl until it is smooth and soft.
Add the basil, tarragon and chives.
Mix thoroughly.
Add the lemon juice, salt and pepper.
Mix thoroughly.
Shape the butter into a cylinder about 1" in diameter.
Wrap in plastic wrap.
Chill 30 minutes in a freezer or 1 or 2 hours in a refrigerator.
Preheat the broiler.
Melt the second measure of butter in a small saucepan.
Brush the salmon steaks with the melted butter and peanut oil.
Grill about 6" from the heat source for about 6 minutes on the first side, 4
minutes on the second side, basting frequently.
Place each salmon steak on an individual plate.
Place a slice of the herb butter on each salmon steak.
Serve.

 Salmon Steaks w/Citrus Vinaigrette    No. 2856          Yields 4 Servings

     1 Cup       Chicken Broth              2 tsp       Fresh Mint, Chopped
                 AND                      1/2 tsp       Lime Peel, Grated
     2 Cloves    Garlic, Sliced Thin      1/4 tsp       Hot Red Pepper Flakes,
                 REDUCED TO                             Crushed
   1/2 Cup       (See Instructions)           -         Salt
   1/4 Cup       Red Onion, Sliced Thin       -         Pepper
   1/4 Cup       Cucumber, Sliced &         4 3 1/2 oz  Salmon Steaks
                 Quartered                  2 Cups      Couscous, Cooked
     1 Tbls      Olive Oil                    -         Fresh Mint Sprigs
     1 Tbls      Lemon Juice
     2 tsp       Black Olives, Chopped

Combine the broth and garlic in a medium skillet over medium high heat.
Bring to a boil.
Cook until the mixture is reduced to the indicated amount (5-10 minutes will
reduce 1 cup to  1/2 cup).
Remove from the heat.
Cool to room temperature.
Transfer the mixture to a small bowl.
Add all the remaining ingredients except the salmon, couscous and mint sprigs.
Preheat the broiler (you may use an outdoor grill if you wish - such a grill
is NOT ready until ALL the coals have a THICK, even coating of gray ash).
Broil or grill the salmon steaks just until cooked through (about 3 minutes
per side).
Place the salmon over the couscous.
Top with the broth mixture.
Garnish with mint sprigs.
Serve hot.
~~~ Penny Watson

Joel
--
Rec.food.recipes is moderated; only recipes and recipe requests are
accepted for posting. Please read the "Posting Guidelines" article which is
now available on line: http://www.duke.edu/~tfdpress/rfrpost.html.
Recipes/articles go to [email-masked]; requests go to [email-masked];
questions/comments go to [email-masked]. Please allow several days
for your submission to appear.